aboutsummaryrefslogtreecommitdiffstats
path: root/eclipse/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'eclipse/scripts')
-rwxr-xr-xeclipse/scripts/create_adt_symlinks.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/eclipse/scripts/create_adt_symlinks.sh b/eclipse/scripts/create_adt_symlinks.sh
index 9298ac0..97ed877 100755
--- a/eclipse/scripts/create_adt_symlinks.sh
+++ b/eclipse/scripts/create_adt_symlinks.sh
@@ -21,6 +21,10 @@ LIBS="sdkstats androidprefs common layoutlib_api ide_common rule_api ninepatch s
echo "make java libs ..."
make -j3 showcommands $LIBS || die "ADT: Fail to build one of $LIBS."
+# Add in lint_api and lint_checks: Not build targets but are copy targets
+LIBS="$LIBS lint_api lint_checks"
+make -j3 showcommands lint || die "ADT: Fail to build one of $LIBS."
+
echo "Copying java libs to $DEST"
# Prebuilts required by sdklib & co, to be linked/copied in the ADT libs folder